# This ingress will not start until the cluster specific system configuration
# is active. The ingress controller and load balancer are not active during
# initial setup.

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: argocd
  namespace: argocd
  annotations:
    # use the shared ingress-nginx
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"
    nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
spec:
  rules:
  - host: argocd-let-04.let.ethz.ch
    http:
      paths:
        - backend:
            service:
              name: argocd-server
              port:
                number: 443
          path: /
          pathType: Prefix
  tls:
    - hosts:
        - argocd-let-04.let.ethz.ch
      secretName: argocd-server-tls
